Bug 427495 - ucarp example configurations lead to malfunctioning installation
ucarp example configurations lead to malfunctioning installation
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: ucarp (Show other bugs)
10
All Linux
low Severity high
: ---
: ---
Assigned To: Gwyn Ciesla
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-01-04 02:18 EST by JW
Modified: 2009-04-17 14:05 EDT (History)
0 users

See Also:
Fixed In Version: 1.5-1.fc9
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-04-17 14:02:36 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description JW 2008-01-04 02:18:10 EST
Description of problem:
ucarp is distributed with configuration examples that cause ucarp to malfunction

Version-Release number of selected component (if applicable):
ucarp-1.2-9.fc8

How reproducible:
Always

Steps to Reproduce:
1. set vip-001.conf with VIP_ADDRESS=255.255.255.255
2. add some config lines to vip-001.list
3. get ucarp to run with higher priority than another instance on another host
  
Actual results:
Improper gratuitous arp broadcast (using sender/target IP of 255.255.255.255)
generated. No router or switch is going to be able to change arp cache
appropriately because lacking proper IP addresses(!!!). MAC addresses are ok.

Expected results:
Properly formed gratuitous arp broadcast should occur.

Additional info:
The configuration examples should NEVER need to use VIP_ADDRESS=255.255.255.255
and vip-helper.sh because it is easier (and actually works) to simply create
multiple vip-NNN.conf's for each IP address.  And to help simplify things it is
possible for each vip-NNN.conf to be as simple as:

    . /etc/ucarp/vip-common
    VIP_ADDRESS="a.b.c.d"

It is essential that a proper gratuitous arp broadcast occur else the
association between MAC address and IP address will never change on other
hosts/switches/routers unless the vip-up/down scripts also perform explicit
arping commands - but since such broadcasts are already built into carp then why
not just configure and use carp correctly.

Additionally the ucarp.init should unset VIP_ADDRESS (not VIP), and it could
also user per-vid up/down scripts (eg vip-NNN-up) if they exist or default to
vip-up etc.

The rather silly and very misleading vip-helper.sh script should be consigned to
/dev/null.
Comment 1 Matthias Saou 2008-02-03 14:55:49 EST
I've just rebuilt ucarp 1.4 on devel, making major changes to the init script
and configuration files, according to your advice. Note that you're basically
telling me the exact oppose than in bug #200395 but I've done some more testing
and can confirm what you've reported.

Please check and test that 1.4 package and let me know if you think it needs
further changes. You should now be able to have a single line config file per
virtual address (only the VIP_ADDRESS parameter). The rest goes into
vip-common.conf and can be overridden easily.
Comment 2 Bug Zapper 2008-11-26 04:17:19 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Fedora Admin XMLRPC Client 2009-04-13 08:23:29 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 4 Fedora Update System 2009-04-13 10:47:07 EDT
ucarp-1.5-1.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/ucarp-1.5-1.fc10
Comment 5 Fedora Update System 2009-04-13 10:47:24 EDT
ucarp-1.5-1.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/ucarp-1.5-1.fc9
Comment 6 Fedora Update System 2009-04-14 11:53:32 EDT
ucarp-1.5-1.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update ucarp'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-3643
Comment 7 Fedora Update System 2009-04-14 11:54:09 EDT
ucarp-1.5-1.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing-newkey update ucarp'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2009-3648
Comment 8 Fedora Update System 2009-04-17 14:02:21 EDT
ucarp-1.5-1.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2009-04-17 14:05:08 EDT
ucarp-1.5-1.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.